summaryrefslogtreecommitdiff
path: root/etc/rc.d/unbound
diff options
context:
space:
mode:
authorAntoine Jacoutot <ajacoutot@cvs.openbsd.org>2022-05-17 07:02:41 +0000
committerAntoine Jacoutot <ajacoutot@cvs.openbsd.org>2022-05-17 07:02:41 +0000
commit7f1b25235cd100659a75e0cc88f67fd43843a6a8 (patch)
tree8e07a04279bfebd5806ecc87c552b3edd7281702 /etc/rc.d/unbound
parent6b41e5ece2b8f6998a878ac8366a62d2cd64cee1 (diff)
Simplify unbound rc.d script.
input/ok sthen@ halex@
Diffstat (limited to 'etc/rc.d/unbound')
-rw-r--r--etc/rc.d/unbound10
1 files changed, 2 insertions, 8 deletions
diff --git a/etc/rc.d/unbound b/etc/rc.d/unbound
index a27a67032ca..977525ca75d 100644
--- a/etc/rc.d/unbound
+++ b/etc/rc.d/unbound
@@ -1,24 +1,18 @@
#!/bin/ksh
#
-# $OpenBSD: unbound,v 1.5 2018/01/11 21:09:26 rpe Exp $
+# $OpenBSD: unbound,v 1.6 2022/05/17 07:02:40 ajacoutot Exp $
daemon="/usr/sbin/unbound"
daemon_flags="-c /var/unbound/etc/unbound.conf"
. /etc/rc.d/rc.subr
-pexp="unbound${daemon_flags:+ ${daemon_flags}}"
-
rc_pre() {
if grep '^[[:space:]]*auto-trust-anchor-file:' \
/var/unbound/etc/unbound.conf > /dev/null 2>&1; then
/usr/sbin/unbound-anchor -v || true
fi
-}
-
-rc_start() {
- /usr/sbin/unbound-checkconf > /dev/null &&
- ${rcexec} "unbound ${daemon_flags}"
+ /usr/sbin/unbound-checkconf || return 1
}
rc_cmd $1